Subject: bug#21741: closed (Re: bug#21741: 24.5; default printer page size can not be changed)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Sep 2021 22:30:04 +0000

Your bug report

#21741: 24.5; default printer page size can not be changed

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21741: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21741
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21741: 24.5; default printer page size can not be changed
From: Stefan Kangas <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked], Emilio Sovero <[email-masked]>
Date: Sun, 19 Sep 2021 15:29:47 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris <[email-masked]> writes:

> Emilio Sovero wrote:
>
>> The
>>
>>     /PrintPageWidth 498.6141732283465 def
>>
>> Dimensions are in points.
>
> ?
> Letter page is 8.5 inches wide = 612 points.
>
> ps-left-margin = ps-right-margin = 2cm = 56.7 points
>
> 612 - 2 * 56.7 = 498.6
>
> So everything looks fine to me. (Surely the margins can't influence the
> physical paper size anyway?)
>
> gv tells me the resulting ps is letter-sized.
> ps-print hasn't changed in time immemorial, AFAIK.

The last reply here has Glenn saying "everything looks fine to me", and
there have been no further replies within six years.  I'm therefore
closing this bug report.

If this conclusion is incorrect and this is still an issue, please reply
to this email (use "Reply to all" in your email client) and we can
reopen the bug report.

Subject: 24.5; default printer page size can not be changed
From: Emilio Sovero <[email-masked]>
To: [email-masked]
Date: Fri, 23 Oct 2015 00:55:41 +0000 (GMT)
List-Id: <debbugs-submit.debbugs.gnu.org>

On a Mac running OSX 10.10.5 I am unable to change Emacs to print any
other size but A4.
I have set the ps-page-size to letter
That page size letter is defined in the data base properly. But when I
print a buffer it sends a A4 page. No matter what I change it to it
always prints in A4 (which my printer hangs on).

In GNU Emacs 24.5.1 (x86_64-apple-darwin14.3.0, NS apple-appkit-1347.57)
of 2015-05-30 on new-host-5.home
Windowing system distributor `Apple', version 10.3.1348
Configured using:
`configure --with-ns'

Important settings:
locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
tooltip-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
buffer-read-only: t
line-number-mode: t
transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils easymenu printing ps-print ps-def lpr
re-builder time-date tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel ns-win tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process cocoa ns
multi-tty emacs)

Memory information:
((conses 16 85450 5173)
(symbols 48 18200 0)
(miscs 40 77 82)
(strings 32 13532 4417)
(string-bytes 1 402877)
(vectors 16 10025)
(vector-slots 8 383404 10871)
(floats 8 372 221)
(intervals 56 202 0)
(buffers 960 12))

Emilio Sovero